Package org.apache.tomcat.util.descriptor.web

## Class ErrorPage

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.XmlEncodingBase
  - - org.apache.tomcat.util.descriptor.web.ErrorPage

All Implemented Interfaces:
  `java.io.Serializable`

    public class ErrorPage
    extends XmlEncodingBase
    implements java.io.Serializable

Representation of an error page element for a web application, as represented in a `<error-page>` element in the deployment descriptor.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ErrorPage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getErrorCode()`
`java.lang.String` `getExceptionType()`
`java.lang.String` `getLocation()`
`java.lang.String` `getName()`
`void` `setErrorCode​(int errorCode)` Set the error code.
`void` `setErrorCode​(java.lang.String errorCode)` Set the error code (hack for default XmlMapper data type).
`void` `setExceptionType​(java.lang.String exceptionType)` Set the exception type.
`void` `setLocation​(java.lang.String location)` Set the location.
`java.lang.String` `toString()` Render a String representation of this object.

### Methods inherited from class org.apache.tomcat.util.descriptor.web.XmlEncodingBase

`getCharset, getEncoding, setCharset, setEncoding`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ErrorPage

    public ErrorPage()

### Method Detail

#### getErrorCode

    public int getErrorCode()

Returns:
  the error code.

#### setErrorCode

    public void setErrorCode​(int errorCode)

Set the error code.

Parameters:
  `errorCode` - The new error code

#### setErrorCode

    public void setErrorCode​(java.lang.String errorCode)

Set the error code (hack for default XmlMapper data type).

Parameters:
  `errorCode` - The new error code

#### getExceptionType

    public java.lang.String getExceptionType()

Returns:
  the exception type.

#### setExceptionType

    public void setExceptionType​(java.lang.String exceptionType)

Set the exception type.

Parameters:
  `exceptionType` - The new exception type

#### getLocation

    public java.lang.String getLocation()

Returns:
  the location.

#### setLocation

    public void setLocation​(java.lang.String location)

Set the location.

Parameters:
  `location` - The new location

#### toString

    public java.lang.String toString()

Render a String representation of this object.

Overrides:
  `toString` in class `java.lang.Object`

#### getName

    public java.lang.String getName()